<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="utf-8">
<meta http-equiv="x-ua-compatible" content="ie=edge">
<title>Music All In</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link href="../../img/mini-logo.ico" rel="icon" type="image/ico" sizes="any">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
<link href="../../css/style.css" rel="stylesheet">
<link href="../../css/simple-line-icons.css" rel="stylesheet">
<link href="../../css/pace.css" rel="stylesheet">
<link href="../../datatables/DataTables-1.10.20/css/dataTables.bootstrap4.css" rel="stylesheet">
<link href="../../datatables/DataTables-1.10.20/css/dataTables.buttons.css" rel="stylesheet">
</head>
<body id="sidebar" class="app header-fixed sidebar-fixed aside-menu-fixed sidebar-lg-show">
	<th:block th:include="fragments/header"></th:block>
	<div class="app-body">
		<th:block th:include="fragments/sidebar"></th:block>
		<main class="main">
            <div class="container-fluid">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item " aria-current="page">Student</li>
                        <li class="breadcrumb-item active" aria-current="page">Student List</li>
                    </ol>
                </nav>
                <section class="page-content">
                	<div class="position-relative border-bottom page-title">
                        <h2>Student List</h2>
                        <div class="position-absolute back-button">
                            <button class="btn btn-primary goto" onclick="history.back(-1)">Back</button>
                        </div>
                    </div>
                    <div class="animated fadeIn">
						<div class="text-center card-body col-md-12">
							<div th:switch="${students}" class="container mt-3">
								<div class="col-md-12">
									<a href="/students/signup" class="btn btn-primary"><i class="fas fa-user-plus ml-2"> Add Student</i></a>
								</div>
								<div class="col-md-12 mt-4">
									<h2 th:case="null">No Students yet!</h2>
									<div th:case="*">
										<table id="studentsTable" class="table table-bordered table-hover table-sm" style="width:100%">
											<thead class="thead-dark">
												<tr>
													<th>Full Name</th>
													<th>DNI</th>
													<th>Code</th>
													<th>Email</th>
													<th>Username</th>
													<th>Phone No</th>
													<th>Actions</th>
												</tr>
											</thead>
											<tbody>
												<tr th:each="student : ${students}">
													<td th:text="${student.firstName} + ' ' + ${student.lastName}"></td>
													<td th:text="${student.dni}"></td>
													<td th:text="${student.code}"></td>
													<td th:text="${student.user.email}"></td>
													<td th:text="${student.user.username}"></td>
													<td th:text="${student.phoneNo}"></td>
													<td class="dt-center text-center">
                                              				<div role="group">
															<a th:href="@{/students/edit/{id}(id=${student.id})}" class="btn btn-warning" style="height: 35px; width: 45px;"><i class="fas fa-user-edit"></i></a>
															<a th:onclick="'openModalDanger('+${student.id}+');'" class="btn btn-danger ml-2" style="height: 35px; width: 45px;"><i class="fas fa-user-times"></i></a>
															<!-- Confirmation Modal -->
												            <div class="modal modal-danger fade in" th:id="'modal-danger'+${student.id}" role="dialog" aria-labelledby="modalDangerLabel" aria-hidden="true">
												                <div class="modal-dialog" role="document">
												                    <div class="modal-content panel-danger">
												                        <div class="modal-header d-block text-center">
												                            <h5 class="modal-title" id="modalDangerLabel">Delete Student</h5>
												                        </div>
												                        <div class="modal-body">
												                            <h5>Are you sure want to delete this student?</h5>
												                            <table class="modal-table-border modal-table-center">
												                                <tr class="modal-table-tr">
												                                    <td class="modal-table-column-left">Full Name: </td>
												                                    <td class="modal-table-column-right" th:utext="*{student.firstName + ' ' + student.lastName}"></td>
												                                </tr>
												                                <tr class="modal-table-tr">
												                                    <td class="modal-table-column-left">DNI: </td>
												                                    <td class="modal-table-column-right" th:utext="${student.dni}"></td>
												                                </tr>
												                                <tr class="modal-table-tr">
												                                    <td class="modal-table-column-left">Code: </td>
												                                    <td class="modal-table-column-right" th:utext="${student.code}"></td>
												                                </tr>
												                            </table>
												                        </div>
												                        <div class="modal-footer">
												                            <form id="studentForm" class="form-horizontal" th:action="@{/students/{id}(id=${student.id})}" th:method="delete">
												                                <button class="btn btn-md btn-success mr-5 goto" type="submit" th:onclick="'closeModalDanger('+${student.id}+');'"><i class="fa fa-check fa-lg"></i></button>
												                            </form>
												                            <button type="button" class="btn btn-md btn-danger pull-center" style="width:44.67px" data-dismiss="modal"><i class="fa fa-times fa-lg"></i></button>
												                        </div>
												                    </div>
												                </div>
												            </div> <!-- END Confirmation Modal -->
											            </div>
											        </td>
												</tr>
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
                </section>
			</div>
        </main>
	</div>
	<th:block th:include="fragments/footer"></th:block>
	<script type="text/javascript">
        function openModalDanger(data) {
            $('#modal-danger'+data).modal().show();
        }
        function closeModalDanger(data) {
            $('#modal-danger'+data).modal().hide();
        }
    </script>
	<script src="../../js/jquery.js"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
	<script src="../../datatables/DataTables-1.10.20/js/jquery.dataTables.js"></script>
    <script src="../../datatables/DataTables-1.10.20/js/dataTables.bootstrap4.js"></script>
    <script src="../../datatables/DataTables-1.10.20/js/dataTables.buttons.js"></script>
    <script src="../../js/pace.js"></script>
    <script src="../../js/jquery.blockUI.js"></script>
    <script src="../../js/action.js"></script>
    <script src="../../js/fragments/sidebar.js"></script>
    <script src="../../js/students/student-list.js"></script>
</body>
</html>